io.vertx.ext.shell.command.base

## Class FileSystemLs

- java.lang.Object
- - io.vertx.ext.shell.command.AnnotatedCommand
  - - io.vertx.ext.shell.command.base.FileSystemLs

-     public class FileSystemLs
      extends AnnotatedCommand

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemLs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(Completion completion)` Perform command completion, when the command is done completing it should call `Completion.complete(List)` or `Completion.complete(String, boolean)` )} method to signal completion is done.
    `void` | `process(CommandProcess process)` Process the command, when the command is done processing it should call the `CommandProcess.end()` method.
    `void` | `setAll(boolean all)`
    `void` | `setEll(boolean ell)`
    `void` | `setFile(String file)`

    - ### Methods inherited from class io.vertx.ext.shell.command.AnnotatedCommand

      `cli, name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemLs

          public FileSystemLs()

  - ### Method Detail

    - #### setEll

          public void setEll(boolean ell)

    - #### setFile

          public void setFile(String file)

    - #### setAll

          public void setAll(boolean all)

    - #### process

          public void process(CommandProcess process)

      Description copied from class: `AnnotatedCommand`
      Process the command, when the command is done processing it should call the `CommandProcess.end()` method.
      Specified by:
        `process` in class `AnnotatedCommand`
      Parameters:
        `process` - the command process

    - #### complete

          public void complete(Completion completion)

      Description copied from class: `AnnotatedCommand`
      Perform command completion, when the command is done completing it should call `Completion.complete(List)` or `Completion.complete(String, boolean)` )} method to signal completion is done.
      Overrides:
        `complete` in class `AnnotatedCommand`
      Parameters:
        `completion` - the completion object

Copyright © 2017. All rights reserved.